Bug 634984 - RHEL6 can NOT boot(displays nothing) on boards with RS880 [rhel-6.0.z]
Summary: RHEL6 can NOT boot(displays nothing) on boards with RS880 [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On: 626454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-17 13:48 UTC by RHEL Program Management
Modified: 2010-11-11 11:49 UTC (History)
18 users (show)

Fixed In Version: kernel-2.6.32-71.3.1.el6
Doc Type: Bug Fix
Doc Text:
Systems with an updated Video BIOS for the AMD RS880 would not properly boot with KMS (Kernel mode-setting) enabled. With this update, the Video BIOS boots successfully when KMS is enabled.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-17 13:48:43 UTC
This bug has been copied from bug #626454 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 Frantisek Hrbata 2010-10-04 07:14:25 UTC
in 2.6.32-71.3.1.el6

Comment 7 Shane Huang 2010-10-09 08:43:27 UTC
Where can I download rpm package with the above kernel version?

Thanks,

Comment 8 Russell Doty 2010-10-11 14:58:35 UTC
Re comment 6:

This bug needs to be tested by AMD. The AMD team working on chipset bugs is remote and need access to a kernel on a people page to be able to download and test it - they don't have access to our internal builds.

Comment 10 Chris Ward 2010-10-20 09:48:05 UTC
Shane, Russ

Here are a couple arches; please test and post feedback before Wed 27th

http://people.redhat.com/kzhang/kernel-2.6.32-71.4.1.el6.s390x.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.4.1.el6.x86_64.rpm

Thanks. Let me know if you need additional arches

Comment 11 Shane Huang 2010-10-20 09:59:07 UTC
Chris, Can you also upload the kernel-firmware package?

Thanks,

Comment 15 Chris Ward 2010-10-27 10:32:29 UTC
@AMD, Please post us your test results as soon as possible. Thanks.

Comment 17 Shane Huang 2010-11-08 08:34:13 UTC
Sorry for the late response, kernel-2.6.32-71.4.1.el6.x86_64 has fixed the issue.

Comment 19 errata-xmlrpc 2010-11-10 19:10:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 20 Martin Prpič 2010-11-11 11:49:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Systems with an updated Video BIOS for the AMD RS880 would not properly boot with KMS (Kernel mode-setting) enabled. With this update, the Video BIOS boots successfully when KMS is enabled.


Note You need to log in before you can comment on or make changes to this bug.